Skip to main content
POST
/
users
Create a user
curl --request POST \
  --url https://api.qonversion.io/v4/users \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "environment": "prod"
}
'
import requests

url = "https://api.qonversion.io/v4/users"

payload = { "environment": "prod" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({environment: 'prod'})
};

fetch('https://api.qonversion.io/v4/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.qonversion.io/v4/users"

payload := strings.NewReader("{\n \"environment\": \"prod\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.post("https://api.qonversion.io/v4/users")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"environment\": \"prod\"\n}")
.asString();
{
  "object": "user",
  "id": "QON_3af4c5b8a4d24f21b72e9d0c8aef9d4e",
  "url": "/v4/users/QON_3af4c5b8a4d24f21b72e9d0c8aef9d4e",
  "environment": "prod",
  "identity_id": null,
  "created_at": "2026-04-20T12:00:00Z"
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}
Use sandbox environment for testing. Sandbox users do not affect production analytics.

Authorizations

Authorization
string
header
required

Bearer authentication using the project Secret Key (prefixed with sk_, or test_sk_ for sandbox). All v4 public endpoints require the Secret Key — see Authentication. Never expose the Secret Key in client-side code.

Headers

Idempotency-Key
string

Client-generated key that makes retries safe.

Body

application/json
environment
enum<string>
required

Environment the user belongs to.

Available options:
prod,
sandbox
Example:

"prod"

Response

User created

object
enum<string>
required
Available options:
user
id
string
required

Qonversion User ID. SDK-generated IDs are prefixed with QON_.

Example:

"QON_3af4c5b8a4d24f21b72e9d0c8aef9d4e"

url
string
required

Canonical API path.

Example:

"/v4/users/QON_3af4c5b8a4d24f21b72e9d0c8aef9d4e"

environment
enum<string>
required

Environment the user belongs to.

Available options:
prod,
sandbox
Example:

"prod"

created_at
string<date-time>
required

Creation timestamp (ISO 8601 UTC).

Example:

"2025-09-15T12:30:00Z"

identity_id
string | null

External identity identifier, if set. Null when not linked to an identity.

Example:

"awesome_user"